#include <atari.h>
#include <stdio.h>
#include <peekpoke.h>

unsigned char *video_ptr;
unsigned char total_tiles;
unsigned char paddle_pos=0;

#define SCREEN_SIZE 40
#define PADDLE_Y 20
#define PADDLE_SIZE 6

#define COLOR1 0x2C5
#define COLOR2 0x2C6
// 29 is '=' character in ANTIC character set
#define BRICK  29
#define PADDLE 213

void set_colors()
{
	POKE(COLOR1,0xFF); // font color
	POKE(COLOR2,0);    // background color
}

void show_screen()
{
  for (total_tiles=0;total_tiles<4*SCREEN_SIZE;total_tiles++)
  {
    video_ptr[total_tiles]=BRICK;
  }  
}

void draw_paddle()
{
  register unsigned char s;
  for (s=0;s<PADDLE_SIZE;++s)
    video_ptr[PADDLE_Y*SCREEN_SIZE+paddle_pos+s]=PADDLE;
}

int main(void)
{
  _graphics(0);
  set_colors();

  // get screen memory pointer
  video_ptr=(unsigned char*)(PEEKW( PEEKW(560)+4 ));
  show_screen();
	
  for(;;)
  {
     draw_paddle();
  }
  return 0;
}
